commit:     f1ace126ea9a2c4bacb67e89d176949bfee7031e
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Thu May 30 20:39:12 2019 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Thu May 30 20:40:46 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1ace126

dev-libs/newt: bump to 0.52.21

Package-Manager: Portage-2.3.67, Repoman-2.3.13
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 dev-libs/newt/Manifest            |  1 +
 dev-libs/newt/newt-0.52.21.ebuild | 92 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/dev-libs/newt/Manifest b/dev-libs/newt/Manifest
index 0cb5f2b8c43..c73fc64e315 100644
--- a/dev-libs/newt/Manifest
+++ b/dev-libs/newt/Manifest
@@ -1,3 +1,4 @@
 DIST newt-0.52.15.tar.gz 183171 BLAKE2B 
e6fac06b28232c81d683b9fe613f8c75660543a1e1f9f7583ce27e2fcf8208e2695e94c190757af8da443c0b1fa30546ce8dc77630ee88464377d563193f52d1
 SHA512 
f93798e8e9e33b4bc1bbb6039d94ccdf55be76a0e0f918eb32a241fe527ea61121a8fc35ccd699e3f6202eb367ba4b4025b30264bd9b0face7c16782f113051e
 DIST newt-0.52.18.tar.gz 180425 BLAKE2B 
96c10d6eb63b62a51cd75f3cc34671954abd8e0c528972cb555422065dd074bab7360b226fcc4278caafafafb3b53c6eb2c395b83cc18c3fd02efcf053480311
 SHA512 
223b4fba9568d7ddddd9292f52d5e556a24403642d1dac97b58c8ede698bc182ce7d5afd31df2cb1c5b8a8850529b50ce71d8ad84856be8d42fad0f1a33a48f8
 DIST newt-0.52.20.tar.gz 181163 BLAKE2B 
c6def9fae612f8dcffb396ea4013cf3e034da8f346fb7bf71de6fc5a59ee3d9d43bb4ad3bdfab7535d4d2eddeed62f72cea1861ac537f2bd7a62e7f76069c692
 SHA512 
0c10c373c6a5299a85fc38f32d3590fff3b26c4be40e6c85ed73c20724ef2fb094bf37a8c3b1b80a4bcdfc14fe59254d4419c391245c298a4e16788954b88236
+DIST newt-0.52.21.tar.gz 174895 BLAKE2B 
a0d6a15f87fe04dc535e65fcd28606cd666142d006a53b6ee0c8387a6295215e44f1815ac56ceb56b561ca9b5bc8f3cab2d04b5decd62642f46b744333dc7e34
 SHA512 
d53d927996d17223e688bf54dccfabb2a3dc02bfe38ffc455964e86feaca3cd9f9ab5b19774433be430fa4d761cd9b6680b558f297acb86f80daeb6942f7d23c

diff --git a/dev-libs/newt/newt-0.52.21.ebuild 
b/dev-libs/newt/newt-0.52.21.ebuild
new file mode 100644
index 00000000000..dc2ec595ad7
--- /dev/null
+++ b/dev-libs/newt/newt-0.52.21.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+
+inherit python-r1 multilib autotools toolchain-funcs
+
+DESCRIPTION="Redhat's Newt windowing toolkit development files"
+HOMEPAGE="https://pagure.io/newt";
+SRC_URI="https://releases.pagure.org/newt/${P}.tar.gz";
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~x86-fbsd"
+IUSE="gpm nls tcl"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       >=dev-libs/popt-1.6
+       =sys-libs/slang-2*
+       elibc_uclibc? ( sys-libs/ncurses:0= )
+       gpm? ( sys-libs/gpm )
+       tcl? ( >=dev-lang/tcl-8.5:0 )
+       "
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       # bug 73850
+       if use elibc_uclibc; then
+               sed -i -e 's:-lslang:-lslang -lncurses:g' Makefile.in || die
+       fi
+
+       sed -i Makefile.in \
+               -e 's|$(SHCFLAGS) -o|$(LDFLAGS) &|g' \
+               -e 's|-g -o|$(CFLAGS) $(LDFLAGS) -o|g' \
+               -e 's|-shared -o|$(CFLAGS) $(LDFLAGS) &|g' \
+               -e 's|instroot|DESTDIR|g' \
+               -e 's|  make |  $(MAKE) |g' \
+               -e "s|  ar |    $(tc-getAR) |g" \
+               || die "sed Makefile.in"
+
+       local langs=""
+       if [ -n "${LINGUAS}" ]; then
+               for lang in ${LINGUAS}; do
+                       test -r po/${lang}.po && langs="${langs} ${lang}.po"
+               done
+               sed -i po/Makefile \
+                       -e "/^CATALOGS = /cCATALOGS = ${langs}" \
+                       || die "sed po/Makefile"
+       fi
+
+       eapply "${FILESDIR}"/${PN}-0.52.13-gold.patch \
+               "${FILESDIR}"/${PN}-0.52.14-tcl.patch \
+               "${FILESDIR}"/${PN}-0.52.15-makefile.patch
+       eapply_user
+       eautoreconf
+}
+
+src_configure() {
+       configuring() {
+               econf \
+                       PYTHONVERS="${PYTHON}" \
+                       $(use_with gpm gpm-support) \
+                       $(use_with tcl) \
+                       $(use_enable nls)
+       }
+       python_foreach_impl configuring
+}
+
+src_compile() {
+       building() {
+               emake PYTHONVERS="${EPYTHON}"
+       }
+       python_foreach_impl building
+}
+
+src_install() {
+       installit() {
+               emake \
+                       DESTDIR="${D}" \
+                       PYTHONVERS="${EPYTHON}" \
+                       install
+               python_optimize
+       }
+       python_foreach_impl installit
+       dodoc peanuts.py popcorn.py tutorial.sgml
+       doman whiptail.1
+       einstalldocs
+}

Reply via email to